Create a product
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/products/batch-readimport requests
url = "https://api.hubapi.com/crm-objects/v1/objects/products/batch-read"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.hubapi.com/crm-objects/v1/objects/products/batch-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ids": [
1645187,
1642796
]
},
{
"objectType": "PRODUCT",
"portalId": 62515,
"objectId": 1642796,
"properties": {},
"version": 1,
"isDeleted": false
},
{
"objectType": "PRODUCT",
"portalId": 62515,
"objectId": 1645187,
"properties": {},
"version": 1,
"isDeleted": false
},
{
"ids": [
1645187,
1642796
]
},
{
"versions": [
{
"name": "name",
"value": "A second new product",
"timestamp": 1525289943771,
"source": "API",
"sourceVid": []
}
],
"value": "A second new product",
"timestamp": 1525289943771,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "description",
"value": "A description the second new product.",
"timestamp": 1525289943771,
"source": "API",
"sourceVid": []
}
],
"value": "A description the second new product.",
"timestamp": 1525289943771,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "name",
"value": "Another new product",
"timestamp": 1525289943771,
"source": "API",
"sourceVid": []
}
],
"value": "Another new product",
"timestamp": 1525289943771,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "description",
"value": "A description of yet another product.",
"timestamp": 1525289943771,
"source": "API",
"sourceVid": []
}
],
"value": "A description of yet another product.",
"timestamp": 1525289943771,
"source": "API",
"sourceId": null
}
]v1
Create a product
Create a group of products. Up to 100 products can be created in a single request. The request body will be an array, with each entry being a list of properties you want to set for each new product. Please see the example for more details.
POST
/
crm-objects
/
v1
/
objects
/
products
/
batch-read
Create a product
Scope requirements
Scope requirements
レスポンス
200 - application/json
Successful response - Create a group of products
The response is of type object.
最終更新日 2026年4月10日
⌘I